local t = Def.ActorFrame {};

t[#t+1] = Def.ActorFrame {
	LoadActor("_tab-base") .. {
		InitCommand=cmd(vertalign,top;horizalign,center;x,SCREEN_CENTER_X;y,SCREEN_TOP;);
		OnCommand=cmd(diffusealpha,0;sleep,0.4;smooth,0.3;diffusealpha,1;);
		OffCommand=cmd(decelerate,0.3;diffusealpha,0;);
	};	
	
	LoadActor("_right") .. {
		InitCommand=cmd(vertalign,top;horizalign,right;x,SCREEN_RIGHT;y,SCREEN_TOP;);
		OnCommand=cmd(addx,130;sleep,0.2;decelerate,0.5;addx,-130);
		OffCommand=cmd(decelerate,0.3;addx,130);
	};	
	
	LoadActor("_left") .. {
		InitCommand=cmd(vertalign,top;horizalign,left;x,SCREEN_LEFT;y,SCREEN_TOP;);
		OnCommand=cmd(addx,-130;sleep,0.2;decelerate,0.5;addx,130);
		OffCommand=cmd(decelerate,0.3;addx,-130);		
	};
	
	LoadFont("_music warrior 36px") .. {
		Name="HeaderText";
		Text=string.upper(Screen.String("HeaderText"));
		InitCommand=cmd(x,SCREEN_LEFT+110;y,SCREEN_TOP+31;diffusetopedge,color("#FBEB7D");diffusebottomedge,color("#FEBF7A");strokecolor,color("#53471A");zoom,0.75;horizalign,left;);
		OnCommand=cmd(diffusealpha,0;sleep,0.4;decelerate,0.7;diffusealpha,1;);
		OffCommand=cmd(smooth,0.2;addx,20;diffusealpha,0;);
		UpdateScreenHeaderMessageCommand=function(self,param)
			self:settext(param.Header);
		end;
	};
	
	Def.Sprite {
		Name="anim",
		Texture="_anim 4x1.png",
		InitCommand=function(self)
			self:SetAllStateDelays(0.125);
			self:zoom(0.5):x(SCREEN_LEFT-128):y(SCREEN_TOP+46)
		end,
		OnCommand=cmd(diffusealpha,0;rotationz,-120;sleep,0.3;accelerate,0.4;x,SCREEN_RIGHT-130;rotationz,0;diffusealpha,1;);
		OffCommand=cmd(decelerate,0.6;x,SCREEN_RIGHT+120;diffusealpha,0;rotationz,60;);
	};
	
	LoadActor("_star") .. {
		InitCommand=cmd(zoom,0.5;x,SCREEN_LEFT-128;y,SCREEN_TOP+46;blend,'BlendMode_Add';);
		OnCommand=cmd(diffusealpha,0;rotationz,-120;sleep,0.3;accelerate,0.4;x,SCREEN_RIGHT-130;rotationz,0;diffusealpha,0.5;sleep,0.01;decelerate,0.6;zoom,1.2;diffusealpha,0;rotationz,40);
	};
};

return t